%global srcname django-ckeditor 
Name:		python-django-ckeditor
Version:	5.3.0 
Release:	1%{?dist}
Summary:	Django admin CKEditor integration
Group:		Development/Languages

# ckeditor included can be GPLv2+ or LGPLv2+ or MPLv1.1
# jush are licensed under Apache license 
# jquery are licensed under MIT license
# all the remaining source code is licensed under BSD 

License:	BSD and (GPLv2+ or LGPLv2+ or MPLv1.1) and MIT and ASL 2.0
URL:		https://pypi.python.org/pypi/django-ckeditor
Source0:	https://files.pythonhosted.org/packages/source/d/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	python-django

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-django


%description
Provides a RichTextField and CKEditorWidget utilizing CKEditor 
with image upload and browsing support included

%package -n python2-%{srcname}
Summary:	%{summary}
Requires:	python2-pillow
Requires:	python2-django
%description -n python2-%{srcname}
Provides a RichTextField and CKEditorWidget utilizing CKEditor 
with image upload and browsing support included


%package -n python3-%{srcname}
Summary:	%{summary}
Requires:	python3-pillow
Requires:	python3-django
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Provides a RichTextField and CKEditorWidget utilizing CKEditor 
with image upload and browsing support included

%prep
%setup -qn %{srcname}-%{version}
# Remove bundled egg
rm -rf django_ckeditor.egg-info
# Remove Ds_Store files
find . -iname "*.Ds_Store" | xargs rm -f

%build
%py2_build
%py3_build


%install
%py2_install 
%py3_install
 
%files -n python2-%{srcname}
%doc README.rst AUTHORS.rst CHANGELOG.rst PKG-INFO
%license LICENSE
%{python2_sitelib}/ckeditor
%{python2_sitelib}/django_ckeditor-*.egg-info
%{python2_sitelib}/ckeditor_uploader

%files -n python3-%{srcname}
%doc README.rst AUTHORS.rst CHANGELOG.rst PKG-INFO
%license LICENSE
%{python3_sitelib}/ckeditor
%{python3_sitelib}/django_ckeditor-*.egg-info
%{python3_sitelib}/ckeditor_uploader

%changelog
* Sat Jul 22 2017 Eduardo Echeverria  <echevemaster@gmail.com> - 5.3.0-1
- Update to 5.3.0

* Tue Feb 21 2017 Dominika Krejci <dkrejci@redhat.com> - 5.2.1-1
- Update to 5.2.1
- Add python 3 suport

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 01 2015 Eduardo Echeverria  <echevemaster@gmail.com> - 5.0.2-1
- Update to new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 01 2015 Eduardo Echeverria  <echevemaster@gmail.com> - 4.4.7-1
- Update to new version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 26 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-5
- Remove bundle flash files %%prep section.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-3
- Remove Ds_Store files in %%prep.

* Tue Jul 09 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-2
- Change the license field with the correct licenses.

* Sun Jul 07 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-1
- Initial packaging

